extdesc="the Tesseract OCR support library extension"

full_setup=`pwd`/${BASH_SOURCE}
fulldir=${full_setup%/*}
fulldir=${fulldir%/.}

if [ "x$GSDLHOME" = "x" ] ; then
  if [ -e ../../setup.bash ] ; then
    export gsopt_noexts=1 && pushd ../.. && source ./setup.bash && popd 
    export gsopt_noexts=
  elif [ -e ../../gs3-setup.sh ] ; then
    export gsopt_noexts=1 && pushd ../.. && source ./gs3-setup.sh && popd 
    export gsopt_noexts=
  fi
fi

if [ "x$GEXTTESS" = "x" ] ; then
  export GEXTTESS=$fulldir
  export GEXTTESS_INSTALLED=$GEXTTESS/$GSDLOS
  
  # tesseract needs the TESSDATA_PREFIX env var set to the languages folder (tessdata)
  export TESSDATA_PREFIX=$GEXTTESS_INSTALLED/share/tessdata

  export PATH=$GEXTTESS_INSTALLED/bin:$PATH

  # if [ "x$LD_LIBRARY_PATH" = "x" ] ; then
  #   export LD_LIBRARY_PATH=$GEXTTESS_INSTALLED/lib
  # else
  #   export LD_LIBRARY_PATH=$GEXTTESS_INSTALLED/lib:$LD_LIBRARY_PATH
  # fi
  # if [ "x$DYLD_LIBRARY_PATH" = "x" ] ; then
  #   export DYLD_LIBRARY_PATH=$GEXTTESS_INSTALLED/lib
  # else
  #   export DYLD_LIBRARY_PATH=$GEXTTESS_INSTALLED/lib:$DYLD_LIBRARY_PATH
  # fi
  #
  # if [ -e "devel-srcpack" ] ; then
  #   export LD_LIBRARY_PATH=$GEXTTESS_INSTALLED/devel/lib:$LD_LIBRARY_PATH
  #   export DYLD_LIBRARY_PATH=$GEXTTESS_INSTALLED/devel/lib:$DYLD_LIBRARY_PATH
  # fi

  
  extdir=${GEXTTESS##*/}

  if [ "x$GSDLEXTS" = "x" ] ; then
    export GSDLEXTS=$extdir
  else 
    export GSDLEXTS=$GSDLEXTS:$extdir
  fi


  echo "+Your environment is now setup for $extdesc"
else
  echo "+Your environment is already setup for $extdesc"
fi
